	program paload
	character*256 rr,gg,bb
	integer stat,lun
	integer iargc
	character*80 mapname
C
	if (iargc().lt.2) then
		print *,' '
		print *,' Usage: paload file'
		goto 998
	else
		call getarg(2,mapname)
	endif
C
	open (12,file=mapname,status='old',access='direct',recl=256)
		read (12,rec=1) rr
		read (12,rec=2) gg
		read (12,rec=3) bb
	close (12)
C
	call noport
	call gbegin
	call onemap
	call single
	call gconfi
	do 100 i=1,256
		i1=i+9
		ir=ichar(rr(i:i))
		ig=ichar(gg(i:i))
		ib=ichar(bb(i:i))
		call mapcol(i1, ir,ig,ib)
 100	continue
C
	call gexit
 998	continue
	end
